﻿using UnityEngine;

public class Building : MonoBehaviour
{
    [SerializeField] private SpriteRenderer _indicatorWall = default;

    public BuildingType Type { get; private set;}

    public bool IsAlive => _currentRepairPoints > 0;

    public bool NeedsReapirs => Type.RepairPoints == _currentRepairPoints;

    private int _currentRepairPoints = default;

    public void CreateBuild(BuildingType type)
    {
        Type = type;
        _currentRepairPoints = Type.RepairPoints;
        _indicatorWall.color = Type.IndicatorWallColor;
    }

    public void ModifyRepairPoints(int amount)
    {
        _currentRepairPoints += amount;
        if(_currentRepairPoints < 0)
        {
            // todo we're dead now. RIP. Play death animation
        }
    }
}