﻿using UnityEngine;
[CreateAssetMenu(menuName ="BuildingType")]
public class BuildingType : ScriptableObject
{
    [SerializeField] private int _moraleGen = default;
    [SerializeField] private int _defenseValue = default;
    [SerializeField] private int _resourceCost = default;
    [SerializeField] private string _name = default;
    [SerializeField] private int _repiarPoints = default;
    [SerializeField] private Color _indicatorWallColor = default;

    public int MoraleGen { get; private set; }
    public int DefenseValue { get; private set; }
    public int ResourceCost { get; private set; }
    public string Name { get; private set; }
    public int RepairPoints { get; private set; }
    public Color IndicatorWallColor { get; private set; }

    private void Awake()
    {
        MoraleGen = _moraleGen;
        DefenseValue = _defenseValue;
        ResourceCost = _resourceCost;
        Name = _name;
        RepairPoints = _repiarPoints;
        IndicatorWallColor = _indicatorWallColor;
    }
}