﻿using UnityEngine;

[CreateAssetMenu(menuName ="InGameEvents/PerfWeights")]
public class PerfWeights: ScriptableObject
{
    [SerializeField] [Range(0.0f, 1.0f)] private float _defenseLeftWeight;
    [SerializeField] [Range(0.0f, 1.0f)] private float _guardsLeftWeight;
    [SerializeField] [Range(0.0f, 1.0f)] private float _moraleLefttWeight;
    [SerializeField] [Range(0.0f, 1.0f)] private float _buildingsLeftWeight;
    [SerializeField] [Range(0.0f, 1.0f)] private float _gridSpacesLeftWeight;

    public float DefenseLeftWeight => _defenseLeftWeight;
    public float GuardsLeftWeight => _guardsLeftWeight;
    public float MoraleLeftWeight => _moraleLefttWeight;
    public float BuildingsLeftWeight => _buildingsLeftWeight;
    public float GridSpacesLeftWeight => _gridSpacesLeftWeight;
}

