﻿using UnityEngine;
using UnityEngine.UI;
[RequireComponent(typeof(Button))]
public class PlaceTypeButton : MonoBehaviour
{
    [SerializeField] private int _xPos = default;
    [SerializeField] private int _yPos = default;
    [SerializeField] private GameState _gameState = default;
    [SerializeField] private BuildingSelectionSystem _bss = default;
    [SerializeField] private PlacementSystem _pss = default;
    [SerializeField] private Building _protoBuilding = default;

    public void AttemptPlaceBuilding()
    {
        BuildingType type = _bss.Type;
        int tempCount = _gameState.ResourceCount;
        Debug.Log(tempCount);
        tempCount -= type.ResourceCost;
        if (tempCount > 0)
        {
            Building built = Instantiate(_protoBuilding);
            built.CreateBuild(type);
            _pss.PlaceBuilding(built, _xPos, _yPos);
        }
        else
        {
            // alert player that they do not have enough resources
        }
    }

}
